Bug 179155 - logrotate compresses before postrotate is called
logrotate compresses before postrotate is called
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: logrotate (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Vrabec
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2006-01-27 15:05 EST by Chris Adams
Modified: 2015-01-07 19:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-30 05:15:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Adams 2006-01-27 15:05:50 EST
Having "sharedscripts" in a logrotate config section means that the postrotate
script is NOT called before the files are compressed.  This leads to lost log
entries; if you have a couple of large log files every day, for example maillog
and secure, entries logged to maillog between the time it is compressed and the
time secure is compressed are lost.

This is the documented behavior of logrotate.  Either logrotate needs to be
changed or "sharedscripts" should be removed from the standard logrotate config
Comment 1 Peter Vrabec 2006-01-30 05:15:23 EST
There is a delaycompress option to fix this behavior in older(<3.7.2-3) logrotates.

Note You need to log in before you can comment on or make changes to this bug.